/* Sparc64 gmp-mparam.h -- Compiler/machine parameter header file.

Copyright 1991, 1993, 1994, 1999, 2000, 2001, 2002 Free Software Foundation,
Inc.

This file is part of the GNU MP Library.

The GNU MP Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at your
option) any later version.

The GNU MP Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
License for more details.

You should have received a copy of the GNU Lesser General Public License
along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA. */

#define BITS_PER_MP_LIMB 64
#define BYTES_PER_MP_LIMB 8

/* Tell the toom3 multiply implementation to call low-level mpn
   functions instead of open-coding operations in C.  */
#ifndef USE_MORE_MPN
#define USE_MORE_MPN 1
#endif


/* 296MHz ultrasparc-II */

/* Generated by tuneup.c, 2005-03-27, gcc 3.4 */

/* Generated by tuneup.c, 2005-03-28, gcc 3.4 */

#define MUL_KARATSUBA_THRESHOLD          26
#define MUL_TOOM3_THRESHOLD              93

#define SQR_BASECASE_THRESHOLD            6
#define SQR_KARATSUBA_THRESHOLD          53
#define SQR_TOOM3_THRESHOLD             166

#define DIV_SB_PREINV_THRESHOLD           9
#define DIV_DC_THRESHOLD                 60
#define POWM_THRESHOLD                  243

#define GCD_ACCEL_THRESHOLD             224
#define NGCD_LEHMER_THRESHOLD             8
#define HGCD_SCHOENHAGE_THRESHOLD       133
#define GCD_SCHOENHAGE_THRESHOLD        810
#define GCDEXT_THRESHOLD                 14

#define HBGCD_THRESHOLD                 152
#define BGCD_THRESHOLD                 1075
#define SGCD_THRESHOLD                 1055
#define NHGCD_THRESHOLD                 159
#define NGCD_THRESHOLD                  834
#define JACOBI_BASE_METHOD                2

#define DIVREM_1_NORM_THRESHOLD           6
#define DIVREM_1_UNNORM_THRESHOLD         6
#define MOD_1_NORM_THRESHOLD              5
#define MOD_1_UNNORM_THRESHOLD            6
#define USE_PREINV_DIVREM_1               1
#define USE_PREINV_MOD_1                  1
#define DIVREM_2_THRESHOLD            MP_SIZE_T_MAX  /* never */
#define DIVEXACT_1_THRESHOLD              0  /* always */
#define MODEXACT_1_ODD_THRESHOLD          0  /* always */

#define GET_STR_DC_THRESHOLD             13
#define GET_STR_PRECOMPUTE_THRESHOLD     14
#define SET_STR_THRESHOLD              8668

#define MUL_FFT_TABLE  { 368, 864, 1984, 3328, 7168, 20480, 0 }
#define MUL_FFT_MODF_THRESHOLD          312
#define MUL_FFT_THRESHOLD              2176

#define SQR_FFT_TABLE  { 368, 864, 1856, 3328, 9216, 20480, 0 }
#define SQR_FFT_MODF_THRESHOLD          312
#define SQR_FFT_THRESHOLD              2176

#if 0
#define GCD_ACCEL_THRESHOLD             214
#define NGCD_LEHMER_THRESHOLD           174
#define HGCD_SCHOENHAGE_THRESHOLD       133
#define GCD_SCHOENHAGE_THRESHOLD        760
#define GCDEXT_THRESHOLD                 15

#define HBGCD_THRESHOLD                 133
#define BGCD_THRESHOLD                 1065
#define SGCD_THRESHOLD                 1055
#define NHGCD_THRESHOLD                 133
#define NGCD_THRESHOLD                  732
#endif
