/* Intel Pentium-4 gmp-mparam.h -- Compiler/machine parameter header file.

Copyright 1991, 1993, 1994, 2000, 2001, 2002 Free Software Foundation, Inc.

This file is part of the GNU MP Library.

The GNU MP Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at your
option) any later version.

The GNU MP Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
License for more details.

You should have received a copy of the GNU Lesser General Public License
along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA. */

#define BITS_PER_MP_LIMB 32
#define BYTES_PER_MP_LIMB 4


/* 2200 MHz Pentium 4 M */

/* Generated by tuneup.c, 2005-03-22, gcc 3.4 */

#define MUL_KARATSUBA_THRESHOLD          39
#define MUL_TOOM3_THRESHOLD             250

#define SQR_BASECASE_THRESHOLD            0  /* always */
#define SQR_KARATSUBA_THRESHOLD          59
#define SQR_TOOM3_THRESHOLD             300

#define DIV_SB_PREINV_THRESHOLD       MP_SIZE_T_MAX  /* never */
#define DIV_DC_THRESHOLD                 46
#define POWM_THRESHOLD                   95

#define GCD_ACCEL_THRESHOLD               6
#define NGCD_LEHMER_THRESHOLD            10
#define HGCD_SCHOENHAGE_THRESHOLD       174
#define GCD_SCHOENHAGE_THRESHOLD        478
#define GCDEXT_THRESHOLD                 62

#define HBGCD_THRESHOLD                  58
#define BGCD_THRESHOLD                  662
#define SGCD_THRESHOLD                   50
#define NHGCD_THRESHOLD                  85
#define NGCD_THRESHOLD                  442
#define JACOBI_BASE_METHOD                1

#define USE_PREINV_DIVREM_1               0
#define USE_PREINV_MOD_1                  0
#define DIVREM_2_THRESHOLD                0  /* always */
#define DIVEXACT_1_THRESHOLD              0  /* always */
#define MODEXACT_1_ODD_THRESHOLD          0  /* always */

#define GET_STR_DC_THRESHOLD              8
#define GET_STR_PRECOMPUTE_THRESHOLD     12
#define SET_STR_THRESHOLD              3389

#define MUL_FFT_TABLE  { 720, 1696, 2944, 7680, 18432, 57344, 0 }
#define MUL_FFT_MODF_THRESHOLD          736
#define MUL_FFT_THRESHOLD              5888

#define SQR_FFT_TABLE  { 720, 1760, 1920, 8704, 18432, 57344, 0 }
#define SQR_FFT_MODF_THRESHOLD          648
#define SQR_FFT_THRESHOLD              5888

/* Tuneup completed successfully, took 72 seconds */
